#include <services/services.h>
#include <ezkitutilities.h>
#include <drivers/adi_dev.h>
#include <drivers/ppi/adi_ppi.h>
#include "..\Buffers.h"

/*********************************************************************
*Functions defined in this file have similar functionality. 
*But for easy understanding of the dataflow different functions 
*are created
**********************************************************************/

/************************************************************************
	Function:BufferL2toL1
	
	Description:
	
	Modifications from template:Since sobel on only Y component, 
	every alternate 8-bit data transferred to L1.
	Transfer length = 1 
************************************************************************/

void BufferL2toL1(ADI_DMA_2D_TRANSFER * L1_buffer,ADI_DMA_2D_TRANSFER * L2_buffer, ADI_DMA_STREAM_HANDLE* shandle )
{
	adi_dma_MemoryCopy2D(shandle, 
						 L1_buffer,
						 L2_buffer,
						 TRANSFER_LENGTH_1, 
						 NULL);

}

/************************************************************************
	Function:BufferL1toL2
	
	Description: 
	
	Modifications from template:Since sobel on only Y component, 
	every alternate 8-bit data transferred to L1.
	Transfer length = 1 
************************************************************************/

void BufferL1toL2(ADI_DMA_2D_TRANSFER * L2_buffer,ADI_DMA_2D_TRANSFER * L1_buffer, ADI_DMA_STREAM_HANDLE* shandle )
{
	adi_dma_MemoryCopy2D(shandle, 
						 L2_buffer,
						 L1_buffer,
						 TRANSFER_LENGTH_1, 
						 NULL);

}

/************************************************************************
	Function:BufferL1toL1
	
	Description: 
************************************************************************/

void BufferL1toL1(ADI_DMA_2D_TRANSFER * L1_buffer_dest,ADI_DMA_2D_TRANSFER * L1_buffer_src, ADI_DMA_STREAM_HANDLE* shandle )
{
	adi_dma_MemoryCopy2D(shandle, 
						 L1_buffer_dest,
						 L1_buffer_src,
						 TRANSFER_LENGTH, 
						 NULL);

}

/************************************************************************
	Function:BufferL2toL2
	
	Description: 
************************************************************************/


void BufferL2toL2(ADI_DMA_2D_TRANSFER * L2_buffer_dest,ADI_DMA_2D_TRANSFER * L2_buffer_src, ADI_DMA_STREAM_HANDLE* shandle)
{
	adi_dma_MemoryCopy2D(shandle, 
						 L2_buffer_dest,
						 L2_buffer_src,
						 TRANSFER_LENGTH, 
						 NULL);

}

